June 19, 2021, 04:51:52 AM

Congratulations

Started by Ralnir, November 16, 2012, 03:57:22 PM

Previous topic - Next topic

Ralnir

November 16, 2012, 03:57:22 PM Last Edit: November 16, 2012, 04:04:03 PM by Ralnir
First time registering and posting after quite some time spent lurking, and it had to be for... THIS. I'm just venting about what a waste this is, basically; no need to reply unless you think of something witty to say. Also if there was a thread more suitable for this post than creating a new one for it, then I apologize but I checked a few pages back and I would have had to necro one to do so and some forums don't look too kindly on that, so do forgive me for that.

I've always had trouble running TypeG after a certain point. It just kept spewing out some "side-by-side" garbage at me and simply would not let me do anything other than fume at the poor runtime requirements and their lack of acknowledgement in the readme. Releases from 2011 worked just dandy, though. That's what was so confusing about it all. Nevertheless, I kept an eye on progress and hoped for a day when I could run TypeG and be happy. Pro-68k can only take me so far, you know.

And then came today. A *NEW* version? I jumped on it and spent some time downloading Visual C++ runtimes and DirectX updates (which weren't even necessary because it seems that kugimoto compiled this build with the DX SDK which is about 500mb so good luck with that on my limited wireless connection) and was presented with this lovely message that cannot be circumvented via either applocale or setting non-unicode to japanese



Congratulations, kugimoto. It's not incompetence that drove this, but actual design. Your previous builds worked just dandy without even having to switch my locale settings. Just what could this possibly accomplish? This has completely drained me of any enthusiasm for this particular emulator. For those of you lucky enough to have a Japanese copy of Windows installed, though, go nuts.

neko68k

OK so the DLL thing was a hassle, but that was sorted ages ago. You should have asked. I dont know what you think you'd need the DX SDK for, I needed a 10 meg dll. In other words, slow your roll dude.

This new thing... is dumb. We dealt with it in the distant past with winx68k too. We'll deal with this too. I already patched it but I don't want to piss off GIMONS. What do the other powers that be think? lydux, caius, bluebmw, whoever.


AnnaWu

Gimons know the problem already and he ´ll fix it soon.

Quote注意!!

めんどくさいので日本語Windowsしかサポートしていません
(日本語版以外では起動エラーになります)。

色々と大変なので今のところ32ビットアプリです。

MAMEコア版のx68030モードは再現性が高くありません。
xm6iにご期待ください。

lydux

November 17, 2012, 05:53:09 AM #3 Last Edit: November 17, 2012, 05:55:07 AM by lydux
This app doesn't start... Sound like a bug to me...
Doesn't binary patches exist to fix bugs ?  ;)

caius

Ralnir, please, could you tell me what release of XM6 TypeG are you trying to run?

AnnaWu

xm6_205_typeG_win32_20121116
xm6_205_typeG_win32_mame_20121116

AnnaWu

QuoteI already patched it but I don't want to piss off GIMONS.

In fact, I am more pissed off he released XM6g binaries only.
MAME and XM6 (PI) are open source projects.

caius

Ok, first, in order to run  it , you need some updates like Visual C++ runtimes, download this:

http://www.microsoft.com/en-us/download/details.aspx?id=3387

and this:

http://www.microsoft.com/en-us/download/details.aspx?id=26347

Then, if you run the emulator and got a Directx message error, update it  through web installer:

http://www.microsoft.com/it-it/download/details.aspx?id=35

If you still got a message error about missing  'D3dx9d_42.dll', download it and put it in XM6 Type G folder :

http://code.google.com/p/badorange/downloads/detail?name=D3dx9d_42.dll&can=2&q=

Then finally you can launch it and enjoy :"Sorry, I only support Japanese version Windows"  :)


Ralnir

@caius That is, almost exactly, the same method that I used to get it almost-running before running here to whine for no good reason. At least the readme this time around gives you a few pointers on what you'll need. Also this was all on the Starscream core because 1) my PC is a bit underpowered since I was forced to move back to XP after my 7 x64 HDD crashed and the drivers on XP aren't that optimized, unfortunately and 2) I have no need to run a 030 whatsoever.

@neko68k I apologize if I came off as rather heated, but I think it wasn't entirely uncalled for. I'm not saying that emulator authors should devotedly cater to communities other than the ones he/she actively participates in, but to actively restrict it to them is something I thought I'd never have to see in this day and age, ESPECIALLY amongst those who work their hearts out on what is essentially a hobby. I may be quick to jump to conclusions and/or a case of an itchy "new topic" finger (among other glaring faults of mine), but we shouldn't have to patch a modern emulator just to get it to RUN. One of these days, I'll know how to get around such frivolous lockouts simply because that's the type of thing that I take an interest in, but until then, I have no other recourse other than to vocalize myself.
As an aside, the reason why I didn't come here and ask was because, by the time that TypeG started kicking up a fuss, Pro-68k was available. That, and I got a little confused: since certain builds up to a point worked, I had figured that GIMONS updated the runtimes he was using, and since this was after 2010, it must've been VC++2010, right? I even installed various .NET frameworks just in the vain hope that TypeG would run once again.

neko68k

November 17, 2012, 09:24:50 PM #9 Last Edit: November 17, 2012, 11:47:01 PM by neko68k
@lydux
Open xm6g.exe in your favorite hex editor. At offset 0xADEDA change 0x0F85 06010000 to 0x0F85 14000000. Enjoy.

@AnnaWu
This is not a bug, he did it on purpose. He is checking first the system locale then the user preferred locale. It works just fine, there is no error if you patch around the check as above.

@Ralnir
I feel you man. FWIW its not vs2010, they are vs2005 runtimes...

[edit]
Also, try clicking Help, then the first option. English mode. SO I don't really know what he's trying to do...

[edit2]
the mame core version is the same change but at offset 0xAE6EA

Ralnir

November 19, 2012, 03:27:07 AM #10 Last Edit: December 13, 2012, 11:35:35 AM by Ralnir
@neko68k Aye, I was just documenting my thought process prior to the recent release that actually contained information about what runtimes you need to run the emulator. Turns out all I needed was the MFC update. So if you go through all of that, it turns out there's an option to translate the menus into English. What a kick in the pants. In any case, I can't thank you enough for figuring out how to get around the forced locale check and posting it here for all to use.

Out of curiosity, do you program or are you just really proficient at making your way around hex editors?

[edit]
temp post: neko68k worked out how to bypass the region lock in case any people use Japanese as their non-unicode language. After changing 0F85 0601 to 0F85 1400 at ADEDA, change the 11 at both ADED8 and ADEEC to 09. That should do it. My thanks goes out once again to neko for solving this dilemma.

neko68k